weka.classifiers.pmml.consumer

## Class NeuralNetwork

- java.lang.Object
- - weka.classifiers.AbstractClassifier
  - - weka.classifiers.pmml.consumer.PMMLClassifier
    - - weka.classifiers.pmml.consumer.NeuralNetwork

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Classifier, CapabilitiesHandler, CapabilitiesIgnorer, OptionHandler, PMMLModel, RevisionHandler

      public class NeuralNetwork
      extends PMMLClassifier

  Class implementing import of PMML Neural Network model. Can be used as a Weka classifier for prediction (buildClassifier() raises an Exception).
  Version:
    $Revision 1.0 $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NeuralNetwork(org.w3c.dom.Element model, Instances dataDictionary, MiningSchema miningSchema)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[]` | `distributionForInstance(Instance inst)` Classifies the given test instance.
    `java.lang.String` | `getRevision()` Returns the revision string.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class weka.classifiers.pmml.consumer.PMMLClassifier

      `buildClassifier, done, getCreatorApplication, getDataDictionary, getFieldsMappingString, getLog, getMiningSchema, getPMMLVersion, mapToMiningSchema, setCreatorApplication, setLog, setPMMLVersion`

    - ### Methods inherited from class weka.classifiers.AbstractClassifier

      `classifyInstance, debugTipText, doNotCheckCapabilitiesTipText, forName, getCapabilities, getDebug, getDoNotCheckCapabilities, getOptions, listOptions, makeCopies, makeCopy, runClassifier, setDebug, setDoNotCheckCapabilities, setOptions`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NeuralNetwork

          public NeuralNetwork(org.w3c.dom.Element model,
                       Instances dataDictionary,
                       MiningSchema miningSchema)
                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### getRevision

          public java.lang.String getRevision()

      Description copied from class: `AbstractClassifier`
      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Overrides:
        `getRevision` in class `AbstractClassifier`
      Returns:
        the revision

    - #### distributionForInstance

          public double[] distributionForInstance(Instance inst)
                                           throws java.lang.Exception

      Classifies the given test instance. The instance has to belong to a dataset when it's being classified.
      Specified by:
        `distributionForInstance` in interface `Classifier`
      Overrides:
        `distributionForInstance` in class `AbstractClassifier`
      Parameters:
        `inst` - the instance to be classified
      Returns:
        the predicted most likely class for the instance or Utils.missingValue() if no prediction is made
      Throws:
        `java.lang.Exception` - if an error occurred during the prediction

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`